// CCheckBox.cpp
// by Comanche

#include "CCheckBox.h"
#include "CMain.h"
#include "CGraphics.h"

extern CMain GameMain;
extern CGraphics Graphics;

//////////////////////////////////////////////////////////////////////////////////

CCheckBox::CCheckBox(int x,int y,char *string)
{
	Cx=x; Cy=y;
	redraw=TRUE;
	sprintf(caption,"%s",string);
	State=FALSE;
}

//////////////////////////////////////////////////////////////////////////////////

BOOL CCheckBox::RedrawCheckBox()
{
	redraw=TRUE;
	return(TRUE);
}

//////////////////////////////////////////////////////////////////////////////////

BOOL CCheckBox::TestIfPressed()
{
	Graphics.logfont.lfHeight = CHECKBOXFONTHEIGHT;

	if(GameMain.CheckMouseRange(Cx,Cy,Cx+11,Cy+11,TRUE))
	{
		if(State)
		{
			State=FALSE;
			Graphics.Lock();
			Graphics.DrawCheckBoxOff(Cx,Cy);
			Graphics.UnLock();
		}
		else
		{
			State=TRUE;
			Graphics.Lock();
			Graphics.DrawCheckBoxOn(Cx,Cy);
			Graphics.UnLock();
		}
		while(GameMain.MouseB[0])
			GameMain.GetMouseInfo();
	}

	if(redraw)
	{
		redraw=FALSE;
		Graphics.Lock();
		if(State)
			Graphics.DrawCheckBoxOn(Cx,Cy);	
		else
			Graphics.DrawCheckBoxOff(Cx,Cy);
		Graphics.UnLock();
		Graphics.OSGetLaDC();
		Graphics.Text(Cx+16,Cy-2,caption);
		Graphics.OSReleaseDC();
	}

	Graphics.logfont.lfHeight = STANDARTFONTHEIGHT;

	return(TRUE);
}

//////////////////////////////////////////////////////////////////////////////////
