// CLandScape.h
// by Comanche

#include "defines.h"

#ifndef CLANDSCAPE
#define CLANDSCAPE

//////////////////////////////////////////////////////////////////////////////////

class CLandScape
{
public:
	CLandScape();
	BOOL InitScreen();
	void FillScreen(int x,int y,int x2,int y2);
	void MoveRight();
	void MoveLeft();
	void MoveUp();
	void MoveDown();
	void MoveRightUp();
	void MoveRightDown();
	void MoveLeftUp();
	void MoveLeftDown();
	void DrawBrush();
	void UseBrush();
	HICON CheckMouseCursor();
	int ScreenPosX,ScreenPosY;
	DWORD Landscape[2000][2000];
	BOOL Day;
	int vps;
private:
	char buffer[80];
	inline void PutVoxel(int x,int y,int x2,int y2);
	inline void PutBrightVoxel(int x,int y,int x2,int y2);
	inline void Higher();
	inline void	Lower();
	inline void Level();
	inline void Brush();	
	inline void Smoth();
	inline void Spray();
	inline void Transparent();
	inline float GetShadow(int x,int y,int height);
	inline BYTE GetAlpha(BYTE a,BYTE b,float alpha);
	int BrushX,BrushY;
	int test;
};

#endif