// Clog.cpp
// by Comanche

#include "CLog.h"

//////////////////////////////////////////////////////////////////////////////////

CLog::CLog()
{
	MEMORYSTATUS mem;
	GlobalMemoryStatus(&mem);

	int memoryfree = mem.dwAvailPhys / 1024;
	int memory = mem.dwTotalPhys / 1024;

	lfh = OpenFile("VoxEd Log.html",&log_file_data,OF_CREATE);
	WriteCodeToLogFile("<html>");
	WriteCodeToLogFile("<body>");
	WriteCodeToLogFile("<p> <font size=5 color=#000080 face=Arial>");
	WriteToLogFile("Pulsar Entertainment LogFile Version 3.0");
	WriteCodeToLogFile("</p> </font>");
	WriteCodeToLogFile("<p> <font size=2 color=#000000 face=Arial>");
	WriteToLogFile("> Voxel Editor: Version alpha 0.53 MMX");		
	_strtime(buffer);
	sprintf(buffer2,"> Time: %s",buffer);
	WriteToLogFile(buffer2);
	_strdate(buffer);
	sprintf(buffer2,"> Date: %s (month/day/year)",buffer);
	WriteToLogFile(buffer2);
	sprintf(buffer2,"> Total physical memory: %d KB",memory);
	WriteToLogFile(buffer2);
	sprintf(buffer2,"> Physical memory free: %d KB",memoryfree);
	WriteToLogFile(buffer2);
}

//////////////////////////////////////////////////////////////////////////////////

BOOL CLog::CloseLogFile()
{
	WriteCodeToLogFile("</p> </font>");
	WriteCodeToLogFile("</body>");
	WriteCodeToLogFile("</html>");
	_close(lfh);
	return(TRUE);
}

//////////////////////////////////////////////////////////////////////////////////

BOOL CLog::WriteToLogFile(char *string)
{
	_lwrite(lfh,"<BR> ",strlen("<BR> "));
	_lwrite(lfh,string,strlen(string));
	_lwrite(lfh,"\r\n",strlen("\r\n"));
	return(TRUE);
}

//////////////////////////////////////////////////////////////////////////////////

BOOL CLog::WriteCodeToLogFile(char *string)
{
	_lwrite(lfh,string,strlen(string));
	_lwrite(lfh,"\r\n",strlen("\r\n"));
	return(TRUE);
}

//////////////////////////////////////////////////////////////////////////////////

BOOL CLog::WriteErrorToLogFile(char *string)
{
	WriteCodeToLogFile("</font>");
	WriteCodeToLogFile("<font size=2 color=#FF0000 face=Arial>");
	WriteToLogFile(string);
	WriteCodeToLogFile("</font>");
	WriteCodeToLogFile("<font size=2 color=#000000 face=Arial>");
	return(TRUE);
}

//////////////////////////////////////////////////////////////////////////////////

BOOL CLog::WriteStatusToLogFile(char *string)
{
	WriteCodeToLogFile("</font>");
	WriteCodeToLogFile("<font size=2 color=#008000 face=Arial>");
	WriteToLogFile(string);
	WriteCodeToLogFile("</font>");
	WriteCodeToLogFile("<font size=2 color=#000000 face=Arial>");
	return(TRUE);
}
